JsObjectProperty
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.chromium.sdk
Interface JsObjectProperty

All Superinterfaces:
  JsVariable

    public interface JsObjectProperty

extends JsVariable

Exposes additional data if variable is a property of object and its property descriptor is available.

Nested Class Summary

Nested classes/interfaces inherited from interface org.chromium.sdk.JsVariable
`JsVariable.SetValueCallback`

Method Summary
`RelayOk` | `evaluateGet(JsEvaluateContext.EvaluateCallback callback, SyncCallback syncCallback)` Asynchronously evaluates property getter and returns property value.
`JsValue` | `getGetter()`
`JsFunction` | `getGetterAsFunction()`
`JsValue` | `getSetter()`
`boolean` | `isConfigurable()`
`boolean` | `isEnumerable()`
`boolean` | `isWritable()`

Methods inherited from interface org.chromium.sdk.JsVariable
`asObjectProperty, getFullyQualifiedName, getName, getValue, isMutable, isReadable, setValue`

Method Detail

### isWritable

    boolean isWritable()

  Returns:
    whether property described as 'writable'

### getGetter

    JsValue getGetter()

  Returns:
    property getter value (function or undefined) or null if not an accessor property

### getGetterAsFunction

    JsFunction getGetterAsFunction()

  Returns:
    `getGetter()` result as function or null if cannot cast

### getSetter

    JsValue getSetter()

  Returns:
    property setter value (function or undefined) or null if not an accessor property

### isConfigurable

    boolean isConfigurable()

  Returns:
    whether property described as 'configurable'

### isEnumerable

    boolean isEnumerable()

  Returns:
    whether property described as 'enumerable'

### evaluateGet

    RelayOk evaluateGet(JsEvaluateContext.EvaluateCallback callback,
                        SyncCallback syncCallback)

  Asynchronously evaluates property getter and returns property value. Must only be used if `getGetterAsFunction()` returns not null; otherwise behavior is undefined and implementation-specific.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD